OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::File::NaturalFileComparator Struct Reference

`#include <juce_File.h>`

## Public Member Functions
| NaturalFileComparator (bool shouldPutFoldersFirst) noexcept
int | compareElements (const File &firstFile, const File &secondFile) const

## Public Attributes
bool | foldersFirst

## Detailed Description

Comparator for files

Definition at line 1070 of file juce_File.h.

## Constructor & Destructor Documentation

## ◆ NaturalFileComparator()

juce::File::NaturalFileComparator::NaturalFileComparator | ( | bool | shouldPutFoldersFirst | ) |
| inline noexcept

Definition at line 1072 of file juce_File.h.

## Member Function Documentation

## ◆ compareElements()

int juce::File::NaturalFileComparator::compareElements | ( | const File & | firstFile,
|  | const File & | secondFile
| ) |  | const
| inline

Definition at line 1074 of file juce_File.h.

## Member Data Documentation

## ◆ foldersFirst

bool juce::File::NaturalFileComparator::foldersFirst

Definition at line 1086 of file juce_File.h.

The documentation for this struct was generated from the following file:

- juce_File.h